### Signal

# Gio MountOperation::show-processes

since: 2.22

#### Declaration

    void
    show_processes (
      GMountOperation* self,
      gchar* message,
      GPid* processes,
      char** choices,
      gpointer user_data
    )

#### Description

Emitted when one or more processes are blocking an operation e.g. unmounting/ejecting a `GMount` or stopping a `GDrive`.

Note that this signal may be emitted several times to update the list of blocking processes as processes close files. The application should only respond with `g_mount_operation_reply()` to the latest signal (setting `GMountOperation:choice` to the choice the user made).

If the message contains a line break, the first line should be presented as a heading. For example, it may be used as the primary text in a `GtkMessageDialog`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.22

#### Parameters

`message`

  Type: `gchar*`

  String containing a message to display to the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`processes`

  Type: An array of `GPid`

  An array of `GPid` for processes blocking the operation.

  The data is owned by the caller of the function.

`choices`

  Type: An array of `utf8`

  An array of strings for each possible choice.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.